Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PhoneNumberAuthenticationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PhoneNumberAuthenticationSettings

Enclosing class:
  TdApi

public static final class TdApi.PhoneNumberAuthenticationSettings extends TdApi.Object
Contains settings for the authentication of the user's phone number.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowFlashCall`
Pass true if the authentication code may be sent via flash call to the specified phone number.
`boolean`
`allowSmsRetrieverApi`
For official applications only.
`static final int`
`CONSTRUCTOR`
`boolean`
`isCurrentPhoneNumber`
Pass true if the authenticated phone number is used on the current device.

## Constructor Summary

Constructors
Constructor
Description
`PhoneNumberAuthenticationSettings()`
Contains settings for the authentication of the user's phone number.
`PhoneNumberAuthenticationSettings(boolean allowFlashCall, boolean isCurrentPhoneNumber, boolean allowSmsRetrieverApi)`
Contains settings for the authentication of the user's phone number.
`PhoneNumberAuthenticationSettings(DataInput input)`
Contains settings for the authentication of the user's phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### allowFlashCall

public boolean allowFlashCall
Pass true if the authentication code may be sent via flash call to the specified phone number.

### isCurrentPhoneNumber

public boolean isCurrentPhoneNumber
Pass true if the authenticated phone number is used on the current device.

### allowSmsRetrieverApi

public boolean allowSmsRetrieverApi
For official applications only. True, if the application can use Android SMS Retriever API (requires Google Play Services >= 10.2) to automatically receive the authentication code from the SMS. See https://developers.google.com/identity/sms-retriever/ for more details.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PhoneNumberAuthenticationSettings

public PhoneNumberAuthenticationSettings()
Contains settings for the authentication of the user's phone number.

### PhoneNumberAuthenticationSettings

public PhoneNumberAuthenticationSettings(boolean allowFlashCall, boolean isCurrentPhoneNumber, boolean allowSmsRetrieverApi)
Contains settings for the authentication of the user's phone number.

Parameters:
  `allowFlashCall` - boolean Pass true if the authentication code may be sent via flash call to the specified phone number.
  `isCurrentPhoneNumber` - boolean Pass true if the authenticated phone number is used on the current device.
  `allowSmsRetrieverApi` - boolean For official applications only. True, if the application can use Android SMS Retriever API (requires Google Play Services >= 10.2) to automatically receive the authentication code from the SMS. See https://developers.google.com/identity/sms-retriever/ for more details.

### PhoneNumberAuthenticationSettings

public PhoneNumberAuthenticationSettings(DataInput input) throws IOException
Contains settings for the authentication of the user's phone number.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`